use maraiah::marathon::map;

#[test]
fn read_minf_must_process_map0()
{
   assert_eq!(map::read_minf(INPUT).unwrap(),
              map::Minf{env_code:    0,
                        physi_id:    1,
                        music_id:    1,
                        missi_flags: map::MsnFlags::Repair,
                        envir_flags: map::EnvFlags::empty(),
                        entry_flags: map::EntFlags::Solo | map::EntFlags::CoOp,
                        level_name:  "Waterloo Waterpark".to_string()});
}

const INPUT: &'static [u8] = include_bytes!("data/minf.in");

// EOF
